##### basic_socket_acceptor::release (1 of 2 overloads)

Release ownership of the underlying native acceptor.

    native_handle_type release();

This function causes all outstanding asynchronous accept operations to finish immediately, and the handlers for cancelled operations will be passed the `asio::error::operation_aborted` error. Ownership of the native acceptor is then transferred to the caller.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

This function is unsupported on Windows versions prior to Windows 8.1, and will fail with `asio::error::operation_not_supported` on these platforms.